Package org.apache.sling.commons.log.logback.spi

# Class DefaultConfigurator

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
org.apache.sling.commons.log.logback.spi.DefaultConfigurator

All Implemented Interfaces:
  `ch.qos.logback.classic.spi.Configurator`, `ch.qos.logback.core.spi.ContextAware`

public class DefaultConfigurator extends ch.qos.logback.core.spi.ContextAwareBase implements ch.qos.logback.classic.spi.Configurator
Implementation to block the original logback configuration handling

## Nested Class Summary

## Nested classes/interfaces inherited from interface ch.qos.logback.classic.spi.Configurator

`ch.qos.logback.classic.spi.Configurator.ExecutionStatus`

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`DefaultConfigurator()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ch.qos.logback.classic.spi.Configurator.ExecutionStatus`
`configure(@NotNull ch.qos.logback.classic.LoggerContext context)`
Callback to configure the logger context
`protected @NotNull URL`
`getConfigResource()`
Return the URL for the configuration resource

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### DefaultConfigurator

public DefaultConfigurator()

## Method Details

### configure

@NotNull public @NotNull ch.qos.logback.classic.spi.Configurator.ExecutionStatus configure(@NotNull @NotNull ch.qos.logback.classic.LoggerContext context)
Callback to configure the logger context

Specified by:
  `configure` in interface `ch.qos.logback.classic.spi.Configurator`
Parameters:
  `context` - the logger context to configure

### getConfigResource

@NotNull protected @NotNull URL getConfigResource()
Return the URL for the configuration resource

Returns:
  the URL of the configuration resource